Warpgate = class("Warpgate",Astro)

function Warpgate:initialize( link )
	self.link = link
	Astro.initialize(self,40)
end


function Warpgate:warp( object )
	if self.link then
		object.x = self.link.x
		object.y = self.link.y
	end
end

function Warpgate:draw()

	if self.link then
		love.graphics.setColor(0,255,255)
	else
		love.graphics.setColor(0,0,255)
	end

	Astro.draw(self)
	
	love.graphics.white()
end