AI = class("AI")

function AI:initialize( ship )
	self.ship = ship
end

function AI:getNewTarget()
	self.destination = global.gal:getRandom()
end

function AI:update( dt )
	if self.destination then
		local dx,dy
		local x,y = self.destination:getSpeedXY()
		dx = x-self.ship.x
		dy = y-self.ship.y
		local diff = self.ship.dir - math.atan2(dy,dx)
		if diff < 0 then
			self.ship:control(1,1)
		elseif diff > 0 then
			self.ship:control(1,-1)
		end
	end
end

function AI:draw(  )
	if self.destination then

		local dx,dy = global.camera:Displace(self.ship.x,self.ship.y)
		local tx,ty = self.destination:getSpeedXY()
		tx,ty = global.camera:Displace(tx,ty)
		love.graphics.setColor(255,255,0)
		love.graphics.line(dx,dy,tx,ty)
		love.graphics.setColor(255,255,255)
	end
end