Jumpgate = class("Jumpgate")

function Jumpgate:initialize( x,y,origin,destination )
	self.x=x
	self.y=y
	self.origin = origin
	self.destination = destination
	self.radius = 40
end

function Jumpgate:travel( player )
	global.gal:travel(self.destination,player)
end

function Jumpgate:activate( ship )
	global.gal:move(self.origin,self.destination,ship)
end

function Jumpgate:draw()
	love.graphics.setColor(255,0,0)
	local dx,dy,dr = global.camera:Displace(self.x,self.y,self.radius)
	love.graphics.circle("fill",dx,dy,dr, 40)
	love.graphics.white()
	-- body
end